package com.example.taxi;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import androidx.appcompat.app.AppCompatActivity;


public class MainActivity extends AppCompatActivity {

    private EditText etPhone, etFirstName, etLastName;
    private Button btnRegistration;
    private SharedPreferences sharedPreferences;
    private static final String PREFS_NAME = "TaxiAppPrefs";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        etPhone = findViewById(R.id.etPhone);
        etFirstName = findViewById(R.id.etFirstName);
        etLastName = findViewById(R.id.etLastName);
        btnRegistration = findViewById(R.id.btnRegistration);

        sharedPreferences = getSharedPreferences(PREFS_NAME, MODE_PRIVATE);

        if (sharedPreferences.contains("phone")) {
            btnRegistration.setText("Log in");
            etPhone.setText(sharedPreferences.getString("phone", ""));
            etFirstName.setText(sharedPreferences.getString("firstName", ""));
            etLastName.setText(sharedPreferences.getString("lastName", ""));
        }

        btnRegistration.setOnClickListener(v -> {
            String phone = etPhone.getText().toString();
            String firstName = etFirstName.getText().toString();
            String lastName = etLastName.getText().toString();

            SharedPreferences.Editor editor = sharedPreferences.edit();
            editor.putString("phone", phone);
            editor.putString("firstName", firstName);
            editor.putString("lastName", lastName);
            editor.apply();

            Intent intent = new Intent(MainActivity.this, SecondActivity.class);
            intent.putExtra("phone", phone);
            intent.putExtra("firstName", firstName);
            intent.putExtra("lastName", lastName);
            startActivity(intent);
        });
    }
}