package com.example.taxi;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;

public class SecondActivity extends AppCompatActivity {

    private TextView tvUserInfo, tvPhone, tvRoute;
    private Button btnSetPath, btnCallTaxi;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);

        tvUserInfo = findViewById(R.id.tvUserInfo);
        tvPhone = findViewById(R.id.tvPhone);
        tvRoute = findViewById(R.id.tvRoute);
        btnSetPath = findViewById(R.id.btnSetPath);
        btnCallTaxi = findViewById(R.id.btnCallTaxi);

        Intent intent = getIntent();
        String firstName = intent.getStringExtra("firstName");
        String lastName = intent.getStringExtra("lastName");
        String phone = intent.getStringExtra("phone");

        tvUserInfo.setText(firstName + " " + lastName);
        tvPhone.setText(phone);

        btnSetPath.setOnClickListener(v -> {
            Intent thirdIntent = new Intent(SecondActivity.this, ThirdActivity.class);
            startActivityForResult(thirdIntent, 1);
        });

        btnCallTaxi.setOnClickListener(v -> {
            android.widget.Toast.makeText(SecondActivity.this, "Такси успешно вызвано!", android.widget.Toast.LENGTH_SHORT).show();
        });
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == 1 && resultCode == RESULT_OK) {
            String route = data.getStringExtra("route");
            tvRoute.setText(route);
            btnCallTaxi.setEnabled(true);
        }
    }
}